org.deidentifier.arx.dp

## Class ParameterCalculation

- java.lang.Object
- - org.deidentifier.arx.dp.ParameterCalculation

    public class ParameterCalculation
    extends java.lang.Object

Implements the parameter calculation for differential privacy as proposed in: Bild R, Kuhn KA, Prasser F. SafePub: A Truthful Data Anonymization Algorithm With Strong Privacy Guarantees. Proceedings on Privacy Enhancing Technologies. 2018(1):67-87.

Author:
  Raffael Bild, Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`ParameterCalculation(double epsilon, double delta)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getBeta()` Returns k
`int` `getK()` Returns beta

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParameterCalculation

    public ParameterCalculation(double epsilon,
                                double delta)
                         throws IntervalArithmeticException

Constructor

Parameters:
  `epsilon` -
  `delta` -
Throws:
  `IntervalArithmeticException`

### Method Detail

#### getBeta

    public double getBeta()

Returns k

Returns:

#### getK

    public int getK()

Returns beta

Returns: